/*
 Theme Name:   GeneratePress Child CSMA
 Theme URI:    https://artaban.fr
 Description:  GeneratePress child theme for CSMA
 Author:       ARTABAN
 Author URI:   https://artaban.fr
 Template:     generatepress
 Text Domain: generatepresschildcsma
 Domain Path: /languages
 Version:      0.1
*/

:root {
    --font-family: -apple-system, system-ui, BlinkMacSystemFont, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
}

:root {
    --white: #ffffff;
}

:root {
    --black: #000000;
}

:root {
    --main-dark-color: #009966;
}

:root {
    --main-mid-color: #819c93;
}

:root {
    --main-light-color: #d1ece3;
}

/* Like theme */

:root {
    --contrast: #222222;
    --contrast-2: #575760;
    --contrast-3: #b2b2be;
}

/*
 * GENERAL
 ***********************/

a {
    color: var(--main-dark-color);
}

blockquote {
    border-left: 5px solid var(--main-light-color);
}

#content {
    background-color: var(--white);
}

.separate-containers.both-right .site-main,
.separate-containers.right-sidebar .site-main {
    margin: 0;
}

.entry-title,
.page-title {
    color: var(--main-dark-color);
}

.paging-navigation {
    text-align: center;
}

/*
 * HEADER
 ***********************/
#header-top-area,
#header-middle-area {
    background-color: var(--white);
}

#header-bottom-area {
}

.header-top-area-inside,
.header-middle-area-inside,
.header-bottom-area-inside {
    display: flex;
    margin: 0 auto;
    max-width: 1200px;
    padding: 0 0;
    background-color: var(--main-dark-color);
}

.header-top-area-inside,
.header-middle-area-inside {
    background-color: var(--white);
}

#header-top-area .header-top-area-inside {
    flex-direction: row;
    justify-content: flex-end;
    padding: 10px 0;
}

#header-top-area .header-top-area-inside #header-top-contact {
    display: flex;
}

#header-top-area .header-top-area-inside .header-top-area-contact p {
    margin-bottom: 0.5em;
}

#header-top-area .header-top-area-inside .header-top-area-contact p a {
    font-size: 1em;
    text-decoration: none;
    margin-right: 5px;
}

#header-top-area .header-top-area-inside .header-top-area-contact p a:hover {
    text-decoration: underline;
}

#header-top-area .header-top-area-inside .header-top-area-contact i {
    margin-right: 30px;
    margin-top: 5px;
}

#header-top-area .header-top-area-inside .header-top-area-contact i:before {
    color: var(--main-dark-color);
    font-size: 1em;
}

#header-top-area .header-top-area-inside #search .search-field,
#header-top-area .header-top-area-inside #search .search-submit {
    margin-top: 4px;
    height: 16px;
    padding: 2px;
    background-color: var(--white);
}

#header-top-area .header-top-area-inside #search .search-submit {
    margin-top: 10px;
}

#header-top-area .header-top-area-inside #search .search-field::placeholder {
    font-size: 14px;
    color: var(--main-mid-color);
}

#header-top-area .header-top-area-inside #search .search-field {
    border-color: var(--main-dark-color);
    width: 140px;
    font-size: 14px;
}

#header-top-area .header-top-area-inside #search .search-field:focus {
    outline: none;
}

#header-top-area .header-top-area-inside #search .search-form button.search-submit {
    font-size: 14px;
    padding-left: 5px;
    padding-right: 0;
}

#header-top-area .header-top-area-inside #search .search-form button.search-submit .gp-icon svg {
    top: -0.6em;
    color: var(--main-dark-color);
}

#header-top-area .header-top-area-inside #search .search-form button.search-submit:hover .gp-icon svg {
    color: var(--black);
}

#header-top-area .header-top-area-inside .header-top-area-polylang-switcher ul li {
    display: inline;
    margin-left: 0;
    margin-right: 0;
}

#header-top-area .header-top-area-inside .header-top-area-polylang-switcher ul li:first-child:after {
    content: "|";
    margin-left: 5px;
}

#header-top-area .header-top-area-inside .header-top-area-polylang-switcher ul {
    margin: 0 0 1.5em 1.2em;
}

#header-top-area .header-top-area-inside .header-top-area-polylang-switcher ul li a {
    text-decoration: none;
}

#header-top-area .header-top-area-inside .header-top-area-polylang-switcher ul li.current-lang a {
    color: var(--black);
}

.header-middle-area-inside h2 {
    width: 100%;
    font-size: 28px;
    margin-bottom: 4px;
    text-align: right;
}

#masthead {
    background-color: var(--main-dark-color);
}

.home #masthead::after {
    content: "";
    background-image: url(assets/images/rosace-main-menu.png);
    background-repeat: no-repeat;
    background-size: 610px;
    background-position-y: -70px;
    /*background-position-x: 865px;*/
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    /*left: 0;*/
    left: 54%;
    /*opacity: 0.69;*/
    opacity: 0.48;
}

.inside-header.grid-container {
    height: 60px;
}

.home .inside-header.grid-container {
    height: 300px;
}

.home .main-navigation#site-navigation { /* home */
    margin-left: -165px;
    position: relative;
    bottom: -120px;
}

.main-navigation#site-navigation {
    margin-left: 0;
    position: relative;
    left: -70px;
    bottom: 0;
}

.main-navigation,
#primary-menu {
    background-color: transparent;
}

#primary-menu > ul:not([class="sub-menu"]) > li > a {
    padding-left: 0;
    padding-right: 0;
    font-size: 16px;
    font-weight: bold;
}

#primary-menu > ul.sub-menu > li > a {
    font-size: 16px;
}

#primary-menu ul:not([class="sub-menu"]) > li:not(:last-child) > a:after {
    content: "|";
    margin-left: 9px;
    margin-right: 9px;
}

#primary-menu .menu-item-has-children .dropdown-menu-toggle {
    padding-right: 0;
    padding-left: 0;
}

#primary-menu ul:not([class="sub-menu"]) > li.menu-item-has-children:not(:last-child) > a:after {
    margin-left: 3px;
}

.main-navigation {
    z-index: 1000;
}

.main-navigation .main-nav ul li:not([class*="current-menu-"]):hover > a,
.main-navigation .main-nav ul li:not([class*="current-menu-"]):focus > a,
.main-navigation .main-nav ul li.sfHover:not([class*="current-menu-"]) > a,
.main-navigation .menu-bar-item:hover > a,
.main-navigation .menu-bar-item.sfHover > a {
    color: var(--white);
}

.main-navigation .main-nav ul li:not([class*="current-menu-"]) > a {
    color: var(--white);
}

.main-navigation .main-nav ul li:not([class*="current-menu-"]):hover > a {
    color: var(--white);
    text-decoration: underline;
}

.main-navigation ul ul {
    background-color: var(--main-dark-color);
}

.main-navigation a {
    font-size: 20px;
}

.main-navigation .main-nav ul ul li a {
    font-size: 18px;
}

.main-navigation .main-nav ul li[class*="current-menu-"] > a {
    color: var(--white);
    text-decoration: underline;
}

.site-branding-container {
    position: relative;
    top: -64px;
    left: -42px;
    display: inline-block;
    z-index: 1000;
}

.site-branding-container a img {
    height: auto;
    width: 104px;
    border: 7px solid var(--white);
}

.site-branding-container .main-title {
    display: none;
}

.home .site-branding-container {
    position: relative;
    top: -156px;
    left: -42px;
    display: inline-block;
}

.home .site-branding-container a img {
    height: auto;
    width: 177px;
    border: 12px solid var(--white);
}

/*
* SIDEBAR
***********************/

.separate-containers .inside-right-sidebar {
    margin-top: 0;
}

.sidebar .widget {
    background-color: var(--main-light-color);
}

.sidebar .widget_block h2.widget-title,
.sidebar .wp-block-column h3.wp-block-heading {
    color: var(--main-dark-color);
    font-size: 24px;
    text-transform: uppercase;
    font-family: var(--font-family);
}

.sidebar .widget_block h2.widget-title,
.sidebar .wp-block-column h3.wp-block-heading {
    font-weight: bold;
}

.sidebar .ect-event-date-tag {
    border-left: 4px solid var(--main-dark-color);
}

.sidebar .style-1 .ect-event-datetime {
    line-height: 11px;
    margin-bottom: 5px;
}

.sidebar #ect-minimal-list-wrp .ect-list-posts.style-1 .ect-event-datetimes span,
.sidebar #ect-minimal-list-wrp .style-1 span.ect-minimal-list-time,
.sidebar #ect-minimal-list-wrp .style-1 .ect-events-title a {
    font-family: var(--font-family);
    color: var(--black);
    font-size: 16px;
    font-weight: bold;
}

.sidebar #ect-minimal-list-wrp .ect-list-posts.style-1 .ect-event-datetimes span.ev-day {
    font-size: 24px;
}

.sidebar #ect-minimal-list-wrp .style-1.ect-simple-event .ect-event-details {
    margin-left: 10px;
}

.sidebar #ect-minimal-list-wrp .style-1.ect-simple-event .ect-event-datetime .ect-icon-clock,
.sidebar #ect-minimal-list-wrp .ect-style-1-more {
    display: none;
}

.sidebar #ect-minimal-list-wrp .style-1 span.ect-minimal-list-time {
    font-weight: normal;
    text-transform: uppercase;
    font-size: 14px;
}

.sidebar .ect-list-posts.style-1 .ect-events-title,
.sidebar #ect-minimal-list-wrp .style-1 .ect-events-title a {
    font-weight: 600;
    text-decoration: none;
    line-height: 18px;
    font-size: 16px;
}

.sidebar #ect-minimal-list-wrp .style-1 .ect-events-title a:hover {
    text-decoration: underline;
}

.sidebar .wp-block-column p {
    margin-left: 1em;
    margin-right: 1em;
}

.sidebar .wp-block-button {
    width: 100%;
}

.sidebar .wp-block-button .wp-block-button__link {
    text-transform: uppercase;
    background-color: var(--main-dark-color);
    color: var(--white);
    border-radius: 0;
    width: 100%;
    font-weight: 600;
}

.sidebar .wp-block-button .wp-block-button__link:hover {
    background-color: var(--main-dark-color);
    text-decoration: underline;
}

/*
* HOME LATEST POSTS WIDGET
***************************/

h1.home-recents-articles {
    color: var(--main-dark-color);
}

.home-recents-articles.wp-block-latest-posts.wp-block-latest-posts__list {
    margin-left: 0;
}

.home-recents-articles.wp-block-latest-posts.wp-block-latest-posts__list li {
    padding: 20px 0;
}

.home-recents-articles.wp-block-latest-posts.wp-block-latest-posts__list a.wp-block-latest-posts__post-title {
    color: var(--contrast);
    font-size: 25px;
    margin-bottom: 20px;
    line-height: 1.2em;
    font-weight: normal;
    text-transform: none;
    text-decoration: none;
}

.home-recents-articles.wp-block-latest-posts.wp-block-latest-posts__list a.wp-block-latest-posts__post-title:hover {
    color: var(--contrast-2);
}

.home-recents-articles.wp-block-latest-posts.wp-block-latest-posts__list .wp-block-latest-posts__post-excerpt a {
    clear: both;
    display: block;
}

/*
* CONTENT
***********************/

.home .inside-article .entry-header + .entry-content {
    margin-top: 0;
}

/*
* ANNONCES
***********************/

.post-type-archive-annonce .page-header {
    margin-bottom: 0;
}

.post-type-archive-annonce #archive-filters {
    width: fit-content;
    padding: 0 40px;
}

.post-type-archive-annonce #archive-filters.archive-filters-no-results {
    padding: 0;
}

.post-type-archive-annonce #archive-filters h5 {
    margin-bottom: 10px;
}

.post-type-archive-annonce #archive-filters .filter {
    display: inline-block;
    margin-bottom: 8px;
}

.post-type-archive-annonce #archive-filters p {
    font-size: 12px;
    text-align: right;
    margin-bottom: 0;
}

.post-type-archive-annonce .is-not-singular p span.post-data-annonce-title {
    font-weight: 600;
}

/*
* ANNONCE
***********************/
.single-annonce .post-data-annonce-title {
    font-weight: 600;
}

.single-annonce p.post-data-annonce-lien a,
.single-annonce p.post-data-annonce-piece-jointe a {
    text-decoration: none;
}

/*
* LIENS AVEC LES ASSOCIATIONS (SBD Settings Page css surchargées)
******************************************************************/
.page-template-default .style-1 .ca-menu li {
    border-left-color: var(--main-dark-color);
}

.page-template-default .style-1 .ca-menu li:hover {
    background: var(--main-light-color) none repeat scroll 0 0;
    border-color: var(--main-dark-color);
}

.page-template-default .style-1 .ca-menu li:hover h2.ca-main,
.page-template-default .style-1 .ca-menu li:hover h3.ca-sub {
    color: var(--main-dark-color);
}

/*
* FOOTER
***********************/
footer a {
    color: var(--black);
    text-decoration: none;
}

.footer-widgets,
.site-info {
    background-color: var(--main-dark-color);
}

.site-footer .a2a_kit a svg {
    background-color: var(--white);
}

.site-footer .footer-widget-3 .widget {
    margin-bottom: 0;
}

.site-footer .footer-widget-3 .widget h6 {
    margin-right: 100px;
}

.copyright-bar,
.copyright-bar .footer-area-bottom {
    margin: 0 auto;
}

footer .footer-bottom-area a:hover {
    color: var(--black);
    text-decoration: underline;
}

/*
* Ultimate floating widget
***************************/

.ufw_wb .ufw_title {
    border-bottom: none;
}

.ufw_wb #header-top-area,
.ufw_wb #header-middle-area {
    background-color: transparent;
}

.ufw_wb #header-top-area .header-top-area-inside {
    justify-content: center;
    padding: 0;
    background-color: transparent;
}

/*--------------------------------------------------------------
# Breakpoint (1024px)
--------------------------------------------------------------*/
@media (max-width: 1024px) {
    /*
    * HEADER
    ***********************/
    #header-top-area,
    #header-middle-area {
        padding-right: 40px;
    }

    .site-branding-container {
        left: 0;
    }

    .home .site-branding-container {
        left: 10px;
    }

    .home .main-navigation#site-navigation {
        margin-left: -120px;
    }

}

/*--------------------------------------------------------------
# Breakpoint (1000px)
--------------------------------------------------------------*/
@media (max-width: 1000px) {
    /*
    * FOOTER
    ***********************/
    .inside-footer-widgets {
        flex-direction: column;
    }

    .inside-footer-widgets > div {
        margin: auto;
    }

    .inside-footer-widgets > div.footer-widget-1 {
        margin-bottom: 30px;
    }

    .site-footer .footer-widgets-container .inner-padding {
        padding: 0;
    }

    .site-footer .footer-widget-3 .widget h6 {
        margin: auto;
        text-align: center;
    }
}


/*--------------------------------------------------------------
# Breakpoint (820px) IPad Air
--------------------------------------------------------------*/
@media (max-width: 820px) {
    /*
    * HEADER
    ***********************/
    .home .site-branding-container {
        top: -145px;
    }

    .header-middle-area-inside h2 {
        font-size: 20px;
    }
}

/*--------------------------------------------------------------
# Breakpoint (768px) IPad mini
--------------------------------------------------------------*/
@media (max-width: 768px) {
    /*
    * HEADER
    ***********************/
    #header-top-area .header-top-area-inside .header-top-area-contact i {
        margin-right: 0;
    }

    span.gp-icon.icon-menu-bars > svg {
        height: 1.5em;
        width: 1.5em;
        fill: var(--white);
    }

    .mobile-menu-control-wrapper .menu-toggle,
    .mobile-menu-control-wrapper .menu-toggle:hover,
    .mobile-menu-control-wrapper .menu-toggle:focus {
        background-color: rgba(0, 0, 0, 0.08);
    }

    .has-inline-mobile-toggle #site-navigation.toggled {
        background-color: var(--main-dark-color);
    }

    .main-navigation .main-nav ul li a {
        display: inline-block;
        padding-left: 20px;
        padding-right: 20px;
        line-height: 40px;
    }

    #primary-menu .menu-item-has-children .dropdown-menu-toggle {
        padding-left: 16px;
    }

    #primary-menu ul:not([class="sub-menu"]) > li:not(:last-child) > a:after {
        content: "";
        margin-left: 0;
        margin-right: 0;
    }

    .home .site-branding-container,
    .site-branding-container {
        top: -6px;
    }

    .home .site-branding-container a img,
    .site-branding-container a img {
        height: auto;
        width: 80px;
        border: 6px solid var(--white);
    }

    .home #masthead::after {
        background-image: none;
    }

    .home .inside-header.grid-container,
    .inside-header.grid-container {
        height: 105px;
    }

    .home .inside-header.grid-container .menu-toggle,
    .inside-header.grid-container .menu-toggle {
        margin-top: -10px;
    }

    .home .main-navigation#site-navigation,
    .main-navigation#site-navigation {
        margin-top: -100px;
        margin-left: 40px;
        padding-right: 40px;
        padding-left: 40px;
        padding-bottom: 20px;
    }

    /*
    * FOOTER
    ***********************/
    .footer-bar-align-right .copyright-bar {
        margin: auto;
    }

}

/*--------------------------------------------------------------
# Breakpoint (580px) Partie blanche header à mettre en forme (Eléments les uns sur les autres)
--------------------------------------------------------------*/
@media (max-width: 580px) {
    #header-top-area .header-top-area-inside {
        flex-direction: column;
        padding-left: 10px;
        padding-right: 10px;
    }

    #header-top-area,
    #header-middle-area {
        padding-left: 10px;
        padding-right: 10px;
    }

    #header-top-area .header-top-area-inside #header-top-contact {
        display: inline-block;
        text-align: center;
    }

    #header-top-area .header-top-area-inside #header-top-contact .header-top-area-contact {
        display: inline-block;
    }


    #header-top-area .header-top-area-inside #search,
    #header-top-area .header-top-area-inside #header-top-language-switcher {
        margin: auto;
    }

    #header-top-area .header-top-area-inside #search .search-field {
        width: 175px;
    }

    #header-top-area .header-top-area-inside #header-top-language-switcher {
        margin-top: 5px;
    }

    #header-middle-area .header-middle-area-inside h2 {
        text-align: center;
    }

}


